GyotoFactory.h File Reference

XML I/O. More...

`#include <vector>`
`#include "GyotoConfig.h"`
`#include <xercesc/sax/ErrorHandler.hpp>`
`#include <xercesc/dom/DOM.hpp>`
`#include <xercesc/parsers/XercesDOMParser.hpp>`
`#include <GyotoScenery.h>`
`#include <GyotoPhoton.h>`
`#include <GyotoSpectrum.h>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Gyoto::Factory
| XML input/output. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Spectrometer
| Access to spectrometers.

## Macros

#define | XERCES_INCLUDE_WCHAR_H 0
| Xerces internal.

## Detailed Description

XML I/O.

The Factory is a place where objects are built.

## Macro Definition Documentation

## XERCES_INCLUDE_WCHAR_H

#define XERCES_INCLUDE_WCHAR_H 0

Xerces internal.

For some reason it sometimes need to be set to 0 instead of being undefined.